Loading...
Searching...
No Matches
serial::AnalogModem Interface Reference

Interface for communication with an analog modem attached to a serial port. More...

## Classes

struct | CallEndedEvent
| An event that's emitted when a dial-in call was hung up. More...
struct | CallReceivedEvent
| An event that's emitted when a dial-in call was answered. More...
struct | DialInEvent
| Dial-in event. More...
struct | Settings

## Public Member Functions

Settings | getSettings ()
| Get modem settings. More...
int | setSettings (in Settings settings)
| Set modem settings. More...

## Public Attributes

constant int | SUCCESS = 0
| Error codes. More...
constant int | ERR_INVALID_VALUE = 1
| Invalid argument.

## Detailed Description

Interface for communication with an analog modem attached to a serial port.

## Member Function Documentation

## getSettings()

Settings serial::AnalogModem::getSettings | ( |  | ) |

Get modem settings.

Returns
  – Current modem settings

## setSettings()

int serial::AnalogModem::setSettings | ( | in Settings | settings | ) |

Set modem settings.

Parameters

  settings | – New settings

Returns
  SUCCESS – on success
  ERR_INVALID_VALUE – if any passed value was invalid

## Member Data Documentation

## SUCCESS

constant int serial::AnalogModem::SUCCESS = 0

Error codes.

No error

The documentation for this interface was generated from the following file:

- AnalogModem.idl